#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=acapulco5.66_base.ps
projection=-JM16.0c+
region=-R-100.5/-99.5/16.5/17.3
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map acapulco5.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    16.953  -100.132
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    17.169  -100.119
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    16.995  -100.091
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    17.065  -100.145
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    16.997  -100.154
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    17.009  -100.085
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    17.037  -100.123
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    17.003   -99.829
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    17.209  -100.323
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    16.995   -99.839
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    17.017  -100.106
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    16.583  -100.058
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    16.934  -100.290
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    17.103   -99.654
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    17.199  -100.361
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    16.803   -99.602
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    16.756   -99.632
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    16.931   -99.587
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    17.010  -100.092
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    16.804   -99.636
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    16.710   -99.618
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    16.817  -100.101
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    17.193  -100.290
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    17.034   -99.741
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    16.577  -100.029
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    16.600   -99.946
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    17.027   -99.786
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    16.782   -99.730
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    16.884  -100.406
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    16.788  -100.168
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    17.140  -100.141
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    16.911   -99.864
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.952  -100.122
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.040  -100.063
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.168  -100.117
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.182  -100.001
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.998  -100.090
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.049  -100.069
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.067  -100.145
    17.065  -100.145
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.049  -100.108
    17.065  -100.145
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.998  -100.154
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.004  -100.126
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.016  -100.083
    17.009  -100.085
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.014  -100.020
    17.009  -100.085
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.037  -100.122
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.089  -100.096
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.013   -99.827
    17.003   -99.829
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.998   -99.778
    17.003   -99.829
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.213  -100.321
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.242  -100.203
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.000   -99.837
    16.995   -99.839
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.949   -99.786
    16.995   -99.839
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.018  -100.106
    17.017  -100.106
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.037   -99.929
    17.017  -100.106
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.583  -100.057
    16.583  -100.058
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.578   -99.901
    16.583  -100.058
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.934  -100.289
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.902  -100.302
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.104   -99.654
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.096   -99.659
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.198  -100.363
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.179  -100.397
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.805   -99.603
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.965   -99.589
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.760   -99.629
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.790   -99.605
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.933   -99.586
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.940   -99.557
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.011  -100.091
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.080  -100.103
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.806   -99.636
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.872   -99.606
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.712   -99.618
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.801   -99.593
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.819  -100.101
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.938  -100.000
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.178  -100.294
    17.193  -100.290
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.191  -100.177
    17.193  -100.290
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.032   -99.742
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.070   -99.701
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.573  -100.027
    16.577  -100.029
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.574   -99.997
    16.577  -100.029
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.609   -99.943
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.711   -99.785
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.029   -99.787
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.098   -99.663
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.781   -99.730
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.838   -99.691
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.884  -100.407
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.987  -100.303
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.800  -100.164
    16.788  -100.168
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.080  -100.031
    16.788  -100.168
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.146  -100.141
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.122  -100.143
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.913   -99.864
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.957   -99.821
    16.911   -99.864
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    16.953  -100.132   -80.338     3.120     3.706
    17.169  -100.119    58.093     2.214     2.746
    16.995  -100.091   -73.274     1.756     2.607
    17.065  -100.145   -75.450     1.574     2.326
    16.997  -100.154   -59.966     1.509     3.014
    17.009  -100.085    81.040     3.393     4.248
    17.037  -100.123   -78.847     2.168     4.831
    17.003   -99.829   -77.004     2.271     3.244
    17.209  -100.323   -62.982     0.785     1.726
    16.995   -99.839   -57.967     1.455     3.173
    17.017  -100.106   -64.781     0.935     1.542
    16.583  -100.058   -73.965     1.222     2.071
    16.934  -100.290    89.594     1.568     1.962
    17.103   -99.654   -55.649     1.358     2.311
    17.199  -100.361   -55.955     1.731     3.721
    16.803   -99.602   -70.350     1.060     1.653
    16.756   -99.632    86.130     2.056     3.438
    16.931   -99.587   -80.815     1.373     1.991
    17.010  -100.092   -70.747     1.811     2.328
    16.804   -99.636   -81.602     1.163     2.027
    16.710   -99.618     6.189     0.480     2.185
    16.817  -100.101   -77.250     1.470     3.099
    17.193  -100.290    82.015     3.756     5.330
    17.034   -99.741   -76.596     2.042     4.684
    16.577  -100.029    80.008     2.058     2.536
    16.600   -99.946   -86.392     1.455     2.768
    17.027   -99.786   -78.886     1.595     2.936
    16.782   -99.730   -76.540     0.955     1.709
    16.884  -100.406   -82.610     0.972     1.492
    16.788  -100.168   -86.279     1.903     5.017
    17.140  -100.141   -77.781     1.465     2.854
    16.911   -99.864   -77.119     1.442     3.016
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    16.527  -100.451   -67.690     1.614     5.205
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    16.527  -100.428   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    16.527  -100.451     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    16.527  -100.451     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    16.482  -100.451   5 km
END
