#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=acapulco5.66_dcal.ps
projection=-JM16.0c+
region=-R-102.4/-97.6/14.7/19.1
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration acapulco5.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.953  -100.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.169  -100.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.995  -100.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.065  -100.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.065  -100.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.065  -100.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.997  -100.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.009  -100.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.009  -100.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.009  -100.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.037  -100.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.003   -99.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.003   -99.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.003   -99.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.209  -100.323
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.995   -99.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.995   -99.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    16.995   -99.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.583  -100.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.583  -100.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.583  -100.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    16.934  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.103   -99.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.869   -99.858
    17.199  -100.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.803   -99.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.756   -99.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    16.931   -99.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    17.010  -100.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.804   -99.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.710   -99.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.817  -100.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.193  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.193  -100.290
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.034   -99.741
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.577  -100.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.577  -100.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.736   -99.131
    16.577  -100.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.736   -99.131
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.736   -99.131
    16.600   -99.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.027   -99.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.914   -99.819
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.914   -99.819
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.782   -99.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.914   -99.819
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.884  -100.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.788  -100.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.788  -100.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.788  -100.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.926   -99.620
    17.140  -100.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.874   -99.887
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.021   -99.651
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.736   -99.131
    16.911   -99.864
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.736   -99.131
    16.911   -99.864
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    17.048  -100.267     0.300
    16.869   -99.858     0.300
    17.926   -99.620     0.300
    16.874   -99.887     0.300
    17.021   -99.651     0.300
    16.736   -99.131     0.300
    17.213  -100.432     0.300
    16.914   -99.819     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.953  -100.132     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.169  -100.119     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.995  -100.091     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.065  -100.145     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.997  -100.154     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.009  -100.085     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.037  -100.123     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.003   -99.829     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.209  -100.323     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.995   -99.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.017  -100.106     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.583  -100.058     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.934  -100.290     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.103   -99.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.199  -100.361     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.803   -99.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.756   -99.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.931   -99.587     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.010  -100.092     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.804   -99.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.710   -99.618     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.817  -100.101     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.193  -100.290     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.034   -99.741     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.577  -100.029     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.600   -99.946     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.027   -99.786     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.782   -99.730     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.884  -100.406     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.788  -100.168     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.140  -100.141     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.911   -99.864     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    16.939   -99.990     0.000   222.000   222.000
    16.939   -99.990     0.000   444.000   444.000
END
